REST API
Infra APISandbox

Create a Sandbox

POST/api/v1/sandboxes

Authorization

BearerAuth
AuthorizationBearer <token>

Hydra JWT Bearer token

In: header

Request Body

application/json

Sandbox

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/sandboxes" \  -H "Content-Type: application/json" \  -d '{}'
{  "cloned_repos": [    {      "branch": "string",      "checkout_sha": "string",      "path": "string",      "url": "string",      "warning": "string"    }  ],  "created_at": "string",  "expires_at": "string",  "id": "string",  "organization_id": "string",  "services": [    {      "name": "string",      "protocol": "http",      "url": "string"    }  ],  "status": "creating",  "template_build_id": "string",  "updated_at": "string",  "workspace_path": "string",  "workspace_warning": "string"}
{  "cloned_repos": [    {      "branch": "string",      "checkout_sha": "string",      "path": "string",      "url": "string",      "warning": "string"    }  ],  "created_at": "string",  "expires_at": "string",  "id": "string",  "organization_id": "string",  "services": [    {      "name": "string",      "protocol": "http",      "url": "string"    }  ],  "status": "creating",  "template_build_id": "string",  "updated_at": "string",  "workspace_path": "string",  "workspace_warning": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}